Nginx + PHP-FPM + MySQL на Ubuntu 18.04 как выбрать PHP7?

Установил VDS с Ubuntu 18.04. Хочу впервые в своей жизни использовать Nginx + PHP-FPM + MySQL.
Настраиваю Nginx. Тут есть строчка:
#   Путь к сокету PHP-FPM
fastcgi_pass unix:/var/run/php5-fpm.sock;

Хочу поменять на 7 версию. Как правильно путь прописать?
И я так понимаю в ubuntu автоматом 7 версия стоит?

Потому что при попытке установить 7 выходит вот что:
sudo apt-get install php7-fpm php7-mysql php7-curl php7-gd php-mail -y
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package php7-fpm
E: Unable to locate package php7-mysql
E: Unable to locate package php7-curl
E: Unable to locate package php7-gd
  • Вопрос задан
  • 324 просмотра
Решения вопроса 1
@xtress
Web-dev
а) начиная с 16 убунты пакеты php 7 версии не имеют постфикса 7 - php-fpm уже должен установить 7 (в вашем примере корректно только название пакета php-mail);
б) как правильно путь прописать... зависит от конфигов fpm - после установки пыха проверьте под каким именем будет валяться сокет в файловой системе - `ls -la /var/run/php/*.sock` - его потом и подставите в конфиг.
в) (который следовало бы сделать а) - пых не стоит (хотя точно уже не вспомню), установите сами через `apt-get install php-fpm`
Ответ написан
Пригласить эксперта
Ответы на вопрос 1
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через TM ID
Похожие вопросы